package com.crm.rely.backend.core.pojo.table;

import com.crm.rely.backend.core.pojo.BaseTable;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 跟单佣金记录
 *
 * @author y
 * @create 2022/5/16
 */
@Data
@Entity
@Table(name = "follow_commission")
public class FollowCommissionTable extends BaseTable {

    private Long subscribeId;

    private Long orderId;

    private Long customId;

    private Long cId;

    private Long agentId;

    private Long dealLogin;

    private Long followLogin;

    private Float ratio;

    private Float agentRatio;

    private Float profit;

    private Float commission;

    private Float dealCommission;

    private Float agentCommission;
    private Integer endValid;

    public static FollowCommissionTable getInstance() {
        FollowCommissionTable table = new FollowCommissionTable();
        table.setCommission(0F);
        table.setRatio(0F);
        table.setAgentRatio(0F);
        table.setAgentCommission(0F);
        table.setProfit(0F);
        table.setDealCommission(0F);
        return table;
    }

}
